package com.zcloud.service.keyProjects.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.keyProjects.KeyprojectCheckMapper;
import com.zcloud.service.keyProjects.KeyprojectCheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：重点工程检查
 * 作者：luoxiaobao
 * 时间：2022-09-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class KeyprojectCheckServiceImpl implements KeyprojectCheckService {

	@Autowired
	private KeyprojectCheckMapper keyprojectcheckMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		keyprojectcheckMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		keyprojectcheckMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		keyprojectcheckMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return keyprojectcheckMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return keyprojectcheckMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return keyprojectcheckMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		keyprojectcheckMapper.deleteAll(ArrayDATA_IDS);
	}

	public void confirm(PageData pd)throws Exception{
		keyprojectcheckMapper.confirm(pd);
	}

	@Override
	public List<PageData> getSmsList(PageData pd) {
		return keyprojectcheckMapper.getSmsList(pd);
	}

}

